/// <reference types="node" />
interface CreateOssOptions {
    accessKeyId: string;
    accessKeySecret: string;
    region: string;
    bucket: string;
}
interface UploadOptions {
    dest: string;
    file: Record<string, any>;
    ossInstance: Record<string, any>;
    ossPutOptions: Record<string, any>;
}
interface BasicOptions {
    prefix: string;
    ossCreateOptions: CreateOssOptions;
    ossPutOptions?: Record<string, any>;
}
/**
 * 创建 ali oss 实例
 * @param options 实例配置
 */
export declare function createOssInstance(options: CreateOssOptions): () => any[];
/**
 * oss 上传
 * @param config 上传 put 配置
 */
export declare function ossPut(config: UploadOptions): Promise<unknown[]>;
/**
 * gulp oss 上传插件
 * @param options
 */
export declare function ossUpload(options: BasicOptions): import("stream").Transform;
export {};
