export declare const basicOptionsSchema: {
    $schema: string;
    $id: string;
    type: string;
    title: string;
    description: string;
    examples: {
        prefix: string;
        ossCreateOptions: {
            accessKeyId: string;
            accessKeySecret: string;
            region: string;
            bucket: string;
        };
    }[];
    required: string[];
    properties: {
        prefix: {
            $id: string;
            type: string;
            minLength: number;
            maxLength: number;
            title: string;
            description: string;
            default: string;
            examples: string[];
        };
        ossCreateOptions: {
            $id: string;
            type: string;
            title: string;
            description: string;
            examples: {
                accessKeyId: string;
                accessKeySecret: string;
                region: string;
                bucket: string;
            }[];
            required: string[];
            properties: {
                accessKeyId: {
                    $id: string;
                    type: string;
                    minLength: number;
                    maxLength: number;
                };
                accessKeySecret: {
                    $id: string;
                    type: string;
                    minLength: number;
                    maxLength: number;
                };
                region: {
                    $id: string;
                    type: string;
                    minLength: number;
                    maxLength: number;
                    examples: string[];
                };
                bucket: {
                    $id: string;
                    type: string;
                    minLength: number;
                    maxLength: number;
                    examples: string[];
                };
            };
            additionalProperties: boolean;
        };
    };
    additionalProperties: boolean;
};
declare const _default: {
    basicOptionsSchema: {
        $schema: string;
        $id: string;
        type: string;
        title: string;
        description: string;
        examples: {
            prefix: string;
            ossCreateOptions: {
                accessKeyId: string;
                accessKeySecret: string;
                region: string;
                bucket: string;
            };
        }[];
        required: string[];
        properties: {
            prefix: {
                $id: string;
                type: string;
                minLength: number;
                maxLength: number;
                title: string;
                description: string;
                default: string;
                examples: string[];
            };
            ossCreateOptions: {
                $id: string;
                type: string;
                title: string;
                description: string;
                examples: {
                    accessKeyId: string;
                    accessKeySecret: string;
                    region: string;
                    bucket: string;
                }[];
                required: string[];
                properties: {
                    accessKeyId: {
                        $id: string;
                        type: string;
                        minLength: number;
                        maxLength: number;
                    };
                    accessKeySecret: {
                        $id: string;
                        type: string;
                        minLength: number;
                        maxLength: number;
                    };
                    region: {
                        $id: string;
                        type: string;
                        minLength: number;
                        maxLength: number;
                        examples: string[];
                    };
                    bucket: {
                        $id: string;
                        type: string;
                        minLength: number;
                        maxLength: number;
                        examples: string[];
                    };
                };
                additionalProperties: boolean;
            };
        };
        additionalProperties: boolean;
    };
};
export default _default;
